Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 1589284 - Missing cmake files in cpprest-devel
Summary: Missing cmake files in cpprest-devel
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: cpprest
Version: rawhide
Hardware: All
OS: Linux
unspecified
unspecified
Target Milestone: ---
Assignee: c72578
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-06-08 15:22 UTC by Dmitry Mikhirev
Modified: 2018-07-27 16:47 UTC (History)
1 user (show)

Fixed In Version: cpprest-2.10.2-4.fc28
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-07-27 16:47:43 UTC
Type: Bug
Embargoed:


Attachments (Terms of Use)
Patch to fix libdir in cmake files (2.49 KB, patch)
2018-07-03 17:36 UTC, Dmitry Mikhirev
no flags Details | Diff
Updated patch to fix libdir in cmake files (1.28 KB, patch)
2018-07-05 16:08 UTC, c72578
no flags Details | Diff

Description Dmitry Mikhirev 2018-06-08 15:22:28 UTC
Description of problem:

Cmake files are generated during build, but not installed and packaged. They would be installed if normal %make_install macro were used in the spec.

List of missing files:

cpprestsdk-config.cmake
cpprestsdk-targets-noconfig.cmake
cpprestsdk-targets.cmake


Version-Release number of selected component (if applicable):

2.10.2-2.fc28

Comment 1 Dmitry Mikhirev 2018-07-03 17:36:48 UTC
Created attachment 1456297 [details]
Patch to fix libdir in cmake files

The attached patch fixes library installation directory in cmake files. When applyed, you can change the `%install` to

    cd Release/build.release
    %make_install

and add

    %{_libdir}/cmake/cpprestsdk

to `%files devel`.

Comment 2 c72578 2018-07-04 14:44:24 UTC
Thanks for the report and the patch.
I will prepare an updated package soon.

Concerning the patch, the libs/websocketpp part will be omitted here, because websocketpp is not used from cpprrest as there is a separate websocketpp package in Fedora.

Comment 3 c72578 2018-07-05 16:08:19 UTC
Created attachment 1456798 [details]
Updated patch to fix libdir in cmake files

- The part for websocketpp has been removed from the patch
- cmake was added to the path for CPPREST_EXPORT_DIR, otherwise:
  RPM build errors: File not found: usr/lib64/cmake/cpprestsdk

Comment 4 Fedora Update System 2018-07-09 15:38:51 UTC
cpprest-2.10.2-3.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2018-244106284f

Comment 5 Fedora Update System 2018-07-11 23:41:37 UTC
cpprest-2.10.2-3.fc28 has been pushed to the Fedora 28 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-244106284f

Comment 6 Fedora Update System 2018-07-18 19:08:46 UTC
cpprest-2.10.2-4.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2018-caa47dbcee

Comment 7 Fedora Update System 2018-07-19 20:21:05 UTC
cpprest-2.10.2-4.fc28 has been pushed to the Fedora 28 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-caa47dbcee

Comment 8 Fedora Update System 2018-07-27 16:47:43 UTC
cpprest-2.10.2-4.fc28 has been pushed to the Fedora 28 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.